=== debian/changelog ===
chiaki (1.3.0+6e055d3-1) unstable; urgency=medium

  * Initial release (Closes: #949550)

 -- Bartosz Fenski <fenio@debian.org>  Tue, 27 Oct 2020 18:31:34 +0100
