=== debian/control ===
Source: chiaki
Section: utils
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, nanopb, libnanopb-dev, libopus-dev, libjerasure-dev, libssl-dev, qtmultimedia5-dev, libevdev-dev, libudev-dev, libqt5opengl5-dev, libqt5svg5-dev, libsdl2-dev, libswscale-dev, libavcodec-dev, python3-protobuf
Standards-Version: 4.5.0
Homepage: https://github.com/thestr4ng3r/chiaki/
Rules-Requires-Root: no

Package: chiaki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PlayStation 4 remote play client
 Chiaki is an unofficial, free and open source PlayStation 4 Remote Play Client.
 While not an official Sony software, Chiaki doesn't require a jailbroken PS4.
 .
 Everything necessary for a full streaming session, including the initial 
 registration and wakeup of the console, is supported.
