=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DCHIAKI_ENABLE_TESTS=OFF

override_dh_installman:
	dh_installman --sourcedir debian
