## chiaki 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,16 @@
 option(CHIAKI_ENABLE_CLI "Enable CLI for Chiaki" OFF)
 option(CHIAKI_ENABLE_GUI "Enable Qt GUI" ON)
 option(CHIAKI_ENABLE_ANDROID "Enable Android (Use only as part of the Gradle Project)" OFF)
-option(CHIAKI_ENABLE_SWITCH "Enable Nintendo Switch (Requires devKitPro libnx)" OFF)
+option(CHIAKI_ENABLE_BOREALIS "Enable Borealis GUI (For Nintendo Switch or PC)" OFF)
 tri_option(CHIAKI_ENABLE_SETSU "Enable libsetsu for touchpad input from controller" AUTO)
 option(CHIAKI_LIB_ENABLE_OPUS "Use Opus as part of Chiaki Lib" ON)
+if(CHIAKI_ENABLE_GUI OR CHIAKI_ENABLE_BOREALIS)
+	set(CHIAKI_FFMPEG_DEFAULT ON)
+else()
+	set(CHIAKI_FFMPEG_DEFAULT AUTO)
+endif()
+tri_option(CHIAKI_ENABLE_FFMPEG_DECODER "Enable FFMPEG video decoder" ${CHIAKI_FFMPEG_DEFAULT})
+tri_option(CHIAKI_ENABLE_PI_DECODER "Enable Raspberry Pi-specific video decoder (requires libraspberrypi0 and libraspberrypi-doc)" AUTO)
 option(CHIAKI_LIB_ENABLE_MBEDTLS "Use mbedtls instead of OpenSSL as part of Chiaki Lib" OFF)
 option(CHIAKI_LIB_OPENSSL_EXTERNAL_PROJECT "Use OpenSSL as CMake external project" OFF)
 option(CHIAKI_GUI_ENABLE_SDL_GAMECONTROLLER "Use SDL Gamecontroller for Input" ON)
@@ -23,9 +30,9 @@
 tri_option(CHIAKI_USE_SYSTEM_JERASURE "Use system-provided jerasure instead of submodule" AUTO)
 tri_option(CHIAKI_USE_SYSTEM_NANOPB "Use system-provided nanopb instead of submodule" AUTO)
 
-set(CHIAKI_VERSION_MAJOR 1)
-set(CHIAKI_VERSION_MINOR 3)
-set(CHIAKI_VERSION_PATCH 0)
+set(CHIAKI_VERSION_MAJOR 2)
+set(CHIAKI_VERSION_MINOR 0)
+set(CHIAKI_VERSION_PATCH 1)
 set(CHIAKI_VERSION ${CHIAKI_VERSION_MAJOR}.${CHIAKI_VERSION_MINOR}.${CHIAKI_VERSION_PATCH})
 
 set(CPACK_PACKAGE_NAME "chiaki")
@@ -38,31 +45,16 @@
 set(CPACK_DEBIAN_PACKAGE_SECTION "games")
 include(CPack)
 
+set(CHIAKI_IS_SWITCH ${NSWITCH})
+
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake;${CMAKE_CURRENT_SOURCE_DIR}/setsu/cmake")
 
-# configure nintendo switch toolchain
-if(CHIAKI_ENABLE_SWITCH)
-	# load switch.cmake toolchain form ./cmake folder
-	# include(switch)
-	# to compile borealis third party
-	set(CMAKE_CXX_STANDARD 17)
-	# TODO check if android ... or other versions are enabled
+set(CMAKE_CXX_STANDARD 11)
+
+if(CHIAKI_IS_SWITCH)
 	# force mbedtls as crypto lib
 	set(CHIAKI_LIB_ENABLE_MBEDTLS ON)
-
-    if(CHIAKI_SWITCH_ENABLE_LINUX)
-        # CHIAKI_SWITCH_ENABLE_LINUX is a special testing version
-        # the aim is to troubleshoot nitendo switch chiaki verison
-        # from a x86 linux os
-        add_definitions(-DCHIAKI_SWITCH_ENABLE_LINUX)
-        add_definitions(-DBOREALIS_RESOURCES="./switch/res/")
-        set(CMAKE_BUILD_TYPE Debug)
-        add_definitions(-DDEBUG_OPENGL)
-    else()
-	    add_definitions(-D__SWITCH__)
-	    # use symbolic links to load font ..
-	    add_definitions(-DBOREALIS_RESOURCES="romfs:/")
-    endif()
+	add_definitions(-D__SWITCH__)
 endif()
 
 if(CHIAKI_USE_SYSTEM_JERASURE)
@@ -97,6 +89,44 @@
 
 if(CHIAKI_LIB_ENABLE_MBEDTLS)
 	add_definitions(-DCHIAKI_LIB_ENABLE_MBEDTLS)
+endif()
+
+if(CHIAKI_ENABLE_FFMPEG_DECODER)
+	find_package(FFMPEG COMPONENTS avcodec avutil)
+	if(FFMPEG_FOUND)
+		set(CHIAKI_ENABLE_FFMPEG_DECODER ON)
+	else()
+		if(NOT CHIAKI_ENABLE_FFMPEG_DECODER STREQUAL AUTO)
+			message(FATAL_ERROR "CHIAKI_ENABLE_FFMPEG_DECODER is set to ON, but ffmpeg could not be found.")
+		endif()
+		set(CHIAKI_ENABLE_FFMPEG_DECODER OFF)
+	endif()
+endif()
+
+if(CHIAKI_ENABLE_FFMPEG_DECODER)
+	message(STATUS "FFMPEG Decoder enabled")
+else()
+	message(STATUS "FFMPEG Decoder disabled")
+endif()
+
+if(CHIAKI_ENABLE_PI_DECODER)
+	find_package(ILClient)
+	if(ILClient_FOUND)
+		set(CHIAKI_ENABLE_PI_DECODER ON)
+	else()
+		if(NOT CHIAKI_ENABLE_PI_DECODER STREQUAL AUTO)
+			message(FATAL_ERROR "
+CHIAKI_ENABLE_PI_DECODER is set to ON, but its dependencies (ilclient source and libs) could not be resolved.
+The Raspberry Pi Decoder is only supported on Raspberry Pi OS and requires libraspberrypi0 and libraspberrypi-doc.")
+		endif()
+		set(CHIAKI_ENABLE_PI_DECODER OFF)
+	endif()
+endif()
+
+if(CHIAKI_ENABLE_PI_DECODER)
+	message(STATUS "Pi Decoder enabled")
+else()
+	message(STATUS "Pi Decoder disabled")
 endif()
 
 add_subdirectory(lib)
@@ -143,6 +173,6 @@
 	add_subdirectory(android/app)
 endif()
 
-if(CHIAKI_ENABLE_SWITCH)
+if(CHIAKI_ENABLE_BOREALIS)
 	add_subdirectory(switch)
 endif()
