=== debian/changelog ===
chiaki (2.0.1-1) unstable; urgency=medium

  * New upstream version. 
    -relicensed on AGPL-3.0 with OpenSSL exception.

 -- Bartosz Fenski <fenio@debian.org>  Fri, 15 Jan 2021 17:16:30 +0100

chiaki (1.3.0+b70455d-1) unstable; urgency=medium

  * Initial release (Closes: #949550)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 21 Oct 2020 18:31:34 +0200
