=== debian/changelog ===
chiaki (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-Version (no changes needed) 

 -- Bartosz Fenski <fenio@debian.org>  Fri, 22 Jan 2021 17:41:51 +0100
