=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, pkg-config, libopus-dev, qtmultimedia5-dev, libqt5svg5-dev, libsdl2-dev, libavcodec-dev, libswscale-dev, libjerasure-dev, libnanopb-dev, libssl-dev, protobuf-compiler, python3-protobuf, libevdev-dev, libudev-dev, libqt5opengl5-dev, python3-dev, libgl1-mesa-dev, imagemagick, librsvg2-bin, libpthread-stubs0-dev, libpthreadpool-dev, nanopb
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://git.sr.ht/~thestr4ng3r/chiaki
 Rules-Requires-Root: no
